import request from '@/utils/request'

// 商品兑换列表
export function integralList(query) {
  return request({
    url: '/mall-sku/integral/user/list',
    method: 'get',
    data:query
  })
}

// 商品详情
export function integralInfo(query) {
  return request({
    url: '/mall-sku/integral/info',
    method: 'get',
    params: query
  })
}

// 节日礼品兑换列表
export function festivalList(query) {
  return request({
    url: '/mall-sku/festival/user/list',
    method: 'post',
    params: query
  })
}

// 节日礼品详情
export function festivalInfo(query) {
  return request({
    url: '/mall-sku/festival/user/info',
    method: 'get',
    params: query
  })
}
// 兑换须知   商品兑换须知 goodsNotice 礼品兑换须知giftNotice
export function notice(query) {
  return request({
    url: '/news/mall/getNotice',
    method: 'get',
    params: query
  })
}

//积分兑换
export function start(query) {
  return request({
    url: '/mall-order/start',
    method: 'post',
    data:query
  })
}
//福利券兑换
export function kill(query) {
  return request({
    url: '/mall-order/kill',
    method: 'post',
    data:query
  })
}


//福利分类
export function welfareType(data) {
  return request({
    url: '/mall-sku/user/getWelfare',
    method: 'post',
    data
  })
}


//用户福利、兑换券列表
export function welfareList(query) {
  return request({
    url: '/mall-welfare/welfare/user/list',
    method: 'get',
    params:query
  })
}
//用户福利领取
export function receiveWelfare(query) {
  return request({
    url: '/mall-welfare/receive',
    method: 'post',
    params:query
  })
}


//用户兑换列表
export function orderList(query) {
  return request({
    url: '/mall-order/user/list',
    method: 'post',
    params:query
  })
}

//订单详情
export function orderInfo(query) {
  return request({
    url: '/mall-order/info',
    method: 'post',
    params:query
  })
}


//员工确认
export function orderConfirm(query) {
  return request({
    url: '/mall-order/user/confirm',
    method: 'post',
    params:query
  })
}


export function createNews(data) {
  return request({
    url: '/news/createForDGTSiteNews',
    method: 'post',
    data
  })
}

export function updateNews(data) {
  return request({
    url: '/news/update',
    method: 'post',
    data
  })
}

export function deleteNews(data) {
  return request({
    url: '/news/delete',
    method: 'post',
    data
  })
}

export function deleteAllNews(data) {
  return request({
    url: '/news/deleteQuantity',
    method: 'post',
    params: data
  })
}
